Subject: Re: [PATCH v2 01/17] firmware: arm_scmi: Define a common SCMI_MAX_PROTOCOLS value

From: Cristian Marussi <[email-masked]>
Date: Tue, 20 Jan 2026 10:55:12 +0000

On Tue, Jan 20, 2026 at 12:14:19PM +0530, Dhruva Gole wrote:
> On Jan 19, 2026 at 11:18:27 +0000, Jonathan Cameron wrote:
> > On Wed, 14 Jan 2026 11:46:05 +0000
> > Cristian Marussi <[email-masked]> wrote:
> > 
> > > Add a common definition of SCMI_MAX_PROTOCOLS and use it all over the
> > > SCMI stack.
> > > 
> > > Signed-off-by: Cristian Marussi <[email-masked]>
> > Hi Cristian,
> > 
> > Mention the introduction of SCMI_PROTOCOL_LAST in the patch description
> > and probably say why it takes that value (which is much less than
> > the SCMI_MAX_PROTOCOLS value).
> 
> Rather I wonder why even add it? Is it just like a documentation/ marker
> or is some other usage even planned for it?

It was a cleanup related to some changes that I then dropped from this
public series...I kept it since it seemed fine, but I will definitely drop
it in V3 since it is no more related or needed by anything in this
series.

Thanks,
Cristian